TreeReaderFactory.NullTreeReader (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class TreeReaderFactory.NullTreeReader

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory.TreeReader
  - - org.apache.orc.impl.TreeReaderFactory.NullTreeReader

- Enclosing class:
    TreeReaderFactory

      public static class TreeReaderFactory.NullTreeReader
      extends TreeReaderFactory.TreeReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `columnId, context, present, vectorColumnCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullTreeReader(int columnId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `nextVector(ColumnVector vector, boolean[] isNull, int size)` Populates the isNull vector array in the previousVector object based on the present stream values.
    `void` | `seek(PositionProvider position)`
    `void` | `seek(PositionProvider[] position)` Seek to the given position.
    `void` | `startStripe(StripePlanner planner)`

    - ### Methods inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `countNonNulls, createIntegerReader, getColumnId, getPresent, nextBatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullTreeReader

          public NullTreeReader(int columnId)
                         throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### startStripe

          public void startStripe(StripePlanner planner)

    - #### seek

          public void seek(PositionProvider position)

      Overrides:
        `seek` in class `TreeReaderFactory.TreeReader`

    - #### seek

          public void seek(PositionProvider[] position)

      Description copied from class: `TreeReaderFactory.TreeReader`
      Seek to the given position.
      Overrides:
        `seek` in class `TreeReaderFactory.TreeReader`
      Parameters:
        `position` - the indexes loaded from the file

    - #### nextVector

          public void nextVector(ColumnVector vector,
                                 boolean[] isNull,
                                 int size)

      Description copied from class: `TreeReaderFactory.TreeReader`
      Populates the isNull vector array in the previousVector object based on the present stream values. This function is called from all the child readers, and they all set the values based on isNull field value.
      Overrides:
        `nextVector` in class `TreeReaderFactory.TreeReader`
      Parameters:
        `vector` - The columnVector object whose isNull value is populated
        `isNull` - Whether the each value was null at a higher level. If isNull is null, all values are non-null.
        `size` - Size of the column vector

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.